package com.game.business.service;

import java.util.List;
import com.game.business.domain.AppGameClassify;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 游戏分类Service接口
 *
 * @author dos
 * @date 2024-06-14
 */
public interface IAppGameClassifyService extends IService<AppGameClassify> {
    /**
     * 查询游戏分类
     *
     * @param id 游戏分类主键
     * @return 游戏分类
     */
    public AppGameClassify selectAppGameClassifyById(Long id);

    /**
     * 查询游戏分类列表
     *
     * @param appGameClassify 游戏分类
     * @return 游戏分类集合
     */
    public List<AppGameClassify> selectAppGameClassifyList(AppGameClassify appGameClassify);

    /**
     * 新增游戏分类
     *
     * @param appGameClassify 游戏分类
     * @return 结果
     */
    public int insertAppGameClassify(AppGameClassify appGameClassify);

    /**
     * 修改游戏分类
     *
     * @param appGameClassify 游戏分类
     * @return 结果
     */
    public int updateAppGameClassify(AppGameClassify appGameClassify);

    /**
     * 批量删除游戏分类
     *
     * @param ids 需要删除的游戏分类主键集合
     * @return 结果
     */
    public int deleteAppGameClassifyByIds(Long[] ids);

    /**
     * 删除游戏分类信息
     *
     * @param id 游戏分类主键
     * @return 结果
     */
    public int deleteAppGameClassifyById(Long id);

    /**
     * 根据code查询
     * @param code
     * @return
     */
    AppGameClassify getByCode(String code);
}